$WhosonSettingsplver = '1.3 for YaBB Gold SP1.3';
# WhosonSettings1 generates edit settings page for Whoson Mod in the Admin Center.  Calls WhosonSettings2.

sub WhosonSettings1 {
	&is_admin;
	require "$vardir/WhosonSettings.txt";
	my($adv_imboxchecked);
	my($homechecked);
	my($helpchecked);
	my($searchchecked);
	my($memberlistchecked);
	my($calendarchecked);
	my($gameschecked);
	my($adminchecked);
	my($guest_stuffchecked);
	my($menuchecked);
	my($what_timechecked);
	my($who_imchecked);
	my($who_recentchecked);
	my($who_statschecked);
	my($who_userschecked);
	my($who_memberschecked);
	my($cal_stuffchecked);
	my($who_birthdaychecked);
	my($who_chatchecked);
	my($better_helpchecked);
	my($pollchecked);
	my($showcase_typechecked);
	if ($adv_imbox) { $adv_imboxchecked = ' checked'; }
	if ($home) { $homechecked = ' checked'; }
	if ($help) { $helpchecked = ' checked'; }
	if ($search) { $searchchecked = ' checked'; }
	if ($memberlist) { $memberlistchecked = ' checked'; }
	if ($calendar) { $calendarchecked = ' checked'; }
	if ($games) { $gameschecked = ' checked'; }
	if ($admin) { $adminchecked = ' checked'; }
	if ($guest_stuff) { $guest_stuffchecked = ' checked'; }
	if ($menu) { $menuchecked = ' checked'; }
	if ($what_time) { $what_timechecked = ' checked'; }
	if ($who_im) { $who_imchecked = ' checked'; }
	if ($who_recent) { $who_recentchecked = ' checked'; }
	if ($who_stats) { $who_statschecked = ' checked'; }
	if ($who_users) { $who_userschecked = ' checked'; }
	if ($who_members) { $who_memberschecked = ' checked'; }
	if ($cal_stuff) { $cal_stuffchecked = ' checked'; }
	if ($who_birthday) { $who_birthdaychecked = ' checked'; }
	if ($who_chat) { $who_chatchecked = ' checked'; }
	if ($better_help) { $better_helpchecked = ' checked'; }
	if ($poll) { $pollchecked = ' checked'; }
	if ($showcase_type == 1) { $showcase_typechecked = ' checked'; }

	$yymain .= qq~
<form action="$cgi;action=whosonset2" method="POST">
<table width="100%" border="0" cellspacing="1" cellpadding="0" bgcolor="$color{'bordercolor'}" class="bordercolor" align="center">
  <tr>
  <td>
  <table border="0" cellspacing="0" cellpadding="4" align="center" WIDTH="100%">
  <tr>
    <td class="titlebg" bgcolor="$color{'titlebg'}" colspan="4">
    <img src="$imagesdir/preferences.gif" alt="" border="0">
    <font size=2 class="text1" color="$color{'titlebg'}"><b>$whotxt{'18'}</b></font></td>
  </tr><tr>
    <td class="catbg" bgcolor="$color{'catbg'}" colspan="4" VALIGN="center"><BR></td>
  </tr><tr>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="20%"><font size="2">$whotxt{'19'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="text" name="display_number" size="20" maxlength="3" value="$display"></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="20%"><font size="2">$whotxt{'46'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="text" name="snip_headlines" size="20" maxlength="2" value="$snip_headlines"></td>
  </tr><tr>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="20%"><font size="2">$whotxt{'20'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="text" name="headerfont_size" size="20" maxlength="1"" value="$headerfontsize"></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="20%"><font size="2">$whotxt{'21'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="text" name="textfont_size" size="20" maxlength="1" value="$textfontsize"></td>
  </tr><tr>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="20%"><font size="2">$whotxt{'22'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="text" name="fontface" size="20" maxlength="50" value="$fontface"></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="20%"><font size="2">$whotxt{'23'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="text" name="fontcolour" size="20" maxlength="7" value="$fontcolor"></td>
  </tr><tr>
  	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="20%"><font size="2">$whotxt{'25'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="text" name="menusep" size="20" maxlength="10" value="$who_menusep"></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="20%"><font size="2">$whotxt{'26'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="text" name="newmark_colour" size="20" maxlength="7" value="$new_mark_colour"></td>
  </tr><tr>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="20%"><font size="2">$whotxt{'47'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="better_help" value="1" $better_helpchecked></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="20%"><font size="2">$whotxt{'27'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="adv_imbox" value="1" $adv_imboxchecked></td>
  </tr>  
  <TR><TD CLASS="windowbg2" bgcolor="$color{'windowbg2'}" COLSPAN="4">
  				<HR WIDTH="90%" ALIGN="CENTER" CLASS="hr">
  </TD></TR><TR>  
	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="30%"><font size="2">$whotxt{'28'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="home" value="1" $homechecked></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="30%"><font size="2">$whotxt{'29'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="menu" value="1" $menuchecked></td>
  </tr><tr>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="30%"><font size="2">$whotxt{'30'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="help" value="1" $helpchecked></td>
  	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="30%"><font size="2">$whotxt{'31'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="what_time" value="1" $what_timechecked></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="30%"><font size="2">$whotxt{'32'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="search" value="1" $searchchecked></td>
  	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="30%"><font size="2">$whotxt{'33'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="who_im" value="1" $who_imchecked></td>
  </tr><tr> 
  	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="30%"><font size="2">$whotxt{'34'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="memberlist" value="1" $memberlistchecked></td>
  	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="30%"><font size="2">$whotxt{'35'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="who_recent" value="1" $who_recentchecked></td>
  </tr><tr> 
	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="30%"><font size="2">$whotxt{'36'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="calendar" value="1" $calendarchecked></td>
  	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="30%"><font size="2">$whotxt{'37'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="who_stats" value="1" $who_statschecked></td>
  </tr><tr>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="30%"><font size="2">$whotxt{'38'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="games" value="1" $gameschecked></td>
  	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="30%"><font size="2">$whotxt{'39'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="who_users" value="1" $who_userschecked></td>
  </tr><tr>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="30%"><font size="2">$whotxt{'40'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="admin" value="1" $adminchecked></td>
  	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="30%"><font size="2">$whotxt{'41'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="who_members" value="1" $who_memberschecked></td>
  </tr><tr>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="30%"><font size="2">$whotxt{'42'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="guest_stuff" value="1" $guest_stuffchecked></td>
  	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="30%"><font size="2">$whotxt{'43'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="cal_stuff" value="1" $cal_stuffchecked></td>
  </tr><tr>
  	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="30%"><font size="2">Show Poll in ShowAll?</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="poll" value="1" $pollchecked></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="30%"><font size="2">$whotxt{'44'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="who_birthday" value="1" $who_birthdaychecked></td>
  </tr><tr>
  	<td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="30%"><font size="2">$whotxt{'50'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="showcase_type" value="1" $showcase_typechecked></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}" WIDTH="30%"><font size="2">$whotxt{'45'}</font></td>
	<td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="CHECKBOX" name="who_chat" value="1" $who_chatchecked></td>
  </tr><tr>
  	<td class="catbg" bgcolor="$color{'catbg'}" align="center" colspan="4"><input type="submit" value="Submit"><input type="reset" value="$txt{'278'}"></td>
</tr>
     </TABLE> 
    </td>
   </tr>
  </table>
</form>
~;
	$yytitle = $whotxt{'18'};
	&template;
	exit;
}
# WhosonSettings2 saves changes to YaBBChat settings in WhosonSettings.txt.  Called by WhosonSettings.
sub WhosonSettings2 {
	&is_admin;
	my @onoff = qw/ adv_imbox /;	# Set as 0 or 1 if box was checked or not
	my @onoff = qw/ home /;
	my @onoff = qw/ help /;
	my @onoff = qw/ search /;
	my @onoff = qw/ memberlist /;
	my @onoff = qw/ calendar /;
	my @onoff = qw/ games /;
	my @onoff = qw/ admin /;
	my @onoff = qw/ guest_stuff /;
	my @onoff = qw/ menu /;
	my @onoff = qw/ what_time /;
	my @onoff = qw/ who_im /;
	my @onoff = qw/ who_recent /;
	my @onoff = qw/ who_stats /;
	my @onoff = qw/ who_users /;
	my @onoff = qw/ who_members /;
	my @onoff = qw/ cal_stuff /;
	my @onoff = qw/ who_birthday /;
	my @onoff = qw/ who_chat /;
	my @onoff = qw/ better_help /;
	my @onoff = qw/ poll /;
	my $fi;
	map { $fi = lc $_; ${$_} = $FORM{$fi} eq 'on' ? 1 : 0; } @onoff;
	$display = $FORM{'display_number'} || '8';
	$snip_headlines = $FORM{'snip_headlines'} || '0';
	$headerfontsize = $FORM{'headerfont_size'} || '2';
	$textfontsize = $FORM{'textfont_size'} || '1';
	$fontcolor = $FORM{'fontcolour'} || '#000000';
	$fontface = $FORM{'fontface'} || 'Arial, Helvetica, sans-serif';
	$who_menusep = $FORM{'menusep'} || '|&nbsp;';
	$new_mark_colour = $FORM{'newmark_colour'} || '#FF0000';
	$adv_imbox = $FORM{'adv_imbox'} || 0;
	$home = $FORM{'home'} || 0;
	$help = $FORM{'help'} || 0;
	$search = $FORM{'search'} || 0;
	$memberlist = $FORM{'memberlist'} || 0;
	$calendar = $FORM{'calendar'} || 0;
	$games = $FORM{'games'} || 0;
	$admin = $FORM{'admin'} || 0;
	$guest_stuff = $FORM{'guest_stuff'} || 0;
	$menu= $FORM{'menu'} || 0;
	$what_time= $FORM{'what_time'} || 0;
	$who_im = $FORM{'who_im'} || 0;
	$who_recent = $FORM{'who_recent'} || 0;
	$who_stats = $FORM{'who_stats'} || 0;
	$who_users = $FORM{'who_users'} || 0;
	$who_members = $FORM{'who_members'} || 0;
	$cal_stuff = $FORM{'cal_stuff'} || 0;
	$who_birthday = $FORM{'who_birthday'} || 0;
	$who_chat = $FORM{'who_chat'} || 0;
	$better_help = $FORM{'better_help'} || 0;
	$poll = $FORM{'poll'} || 0;
	$showcase_type = $FORM{'showcase_type'} || 0;

	my $filler = q~                                                                               ~;
	my $setfile = << "EOF";
###############################################################################
# WhosonSettings.txt - Settings for Whoson 1.3                                 #
###############################################################################

\$display = $display;			# number of headlines displayed
\$snip_headlines = $snip_headlines;				# shorten a title that is too long, set to 0 to always display full title
\$headerfontsize = $headerfontsize;			#Size of Font for Headings
\$textfontsize = $textfontsize;			# Font Size for Normal Text
\$fontcolor = "$fontcolor";			# Font Colour
\$fontface = "$fontface";			# Font Face
\$who_menusep = "$who_menusep";			# The Seperator between menu items
\$new_mark_colour = "$new_mark_colour";			#Select the colour of the NEW indicator next to posts that have not been read
\$adv_imbox = $adv_imbox;			#Set to 1 if you have The Advanced IM Box installed
\$home = $home;			#Set to 1 if you want to show the home link
\$help = $help;			#Set to 1 if you want to show the help link
\$search = $search;			#Set to 1 if you want to show the search link
\$memberlist = $memberlist;			#Set to 1 if you want to show the memberlist link
\$calendar = $calendar;			#Set to 1 if you want to show the calendar link
\$games = $games;			#Set to 1 if you want to show the games link
\$admin = $admin;			#Set to 1 if you want to show the Admin/GMod link
\$guest_stuff = $guest_stuff;			#Set to 1 if you want to show the Links for guests/logged in
\$menu = $menu;			#Set to 1 if you want to show the YaBB Menu in
\$what_time = $what_time;			#Set to 1 if you want to show the Time in ShowAll
\$who_im = $who_im;			#Set to 1 if you want to show you IM's in ShowAll
\$who_recent = $who_recent;			#Set to 1 if you want to show the Recent Posts in ShowAll
\$who_stats = $who_stats;			#Set to 1 if you want to show the Forum Statistics in ShowAll
\$who_users = $who_users;			#Set to 1 if you want to show the Users Online in ShowAll
\$who_members = $who_members;			#Set to 1 if you want to show Member Info in ShowAll
\$cal_stuff = $cal_stuff;			#Set to 1 if you want to show the NewCalendar Events in ShowAll
\$who_birthday = $who_birthday;			#Set to 1 if you want to show the Birthday Info in ShowAll
\$who_chat = $who_chat;			#Set to 1 if you want to show Chat Info in ShowAll
\$better_help = $better_help;			#Set to 1 if you have the Better Help Mod installed
\$poll = $poll;			#Set to 1 if you want Polls to be displayed in ShowAll
\$showcase_type = $showcase_type;			#Set to 1 to showcase polls on the boardindex
1;
EOF

	$setfile =~ s~(.+\;)\s+(\#.+$)~$1 . substr( $filler, 0, (70-(length $1)) ) . $2 ~gem;
	$setfile =~ s~(.{64,}\;)\s+(\#.+$)~$1 . "\n   " . $2~gem;
	$setfile =~ s~^\s\s\s+(\#.+$)~substr( $filler, 0, 70 ) . $1~gem;

	fopen(FILE, ">$vardir/WhosonSettings.txt");
	print FILE $setfile;
	fclose(FILE);
	$yySetLocation = qq~$cgi;action=admin~;
	&redirectexit;
}
1;
